import * as Types from "./";
import { CoreClient, InvokeResult } from "@polywrap/core-js";
export type UInt = number;
export type UInt8 = number;
export type UInt16 = number;
export type UInt32 = number;
export type Int = number;
export type Int8 = number;
export type Int16 = number;
export type Int32 = number;
export type Bytes = Uint8Array;
export type BigInt = string;
export type BigNumber = string;
export type Json = string;
export type String = string;
export type Boolean = boolean;
export interface UriResolver_MaybeUriOrManifest {
    uri?: Types.String | null;
    manifest?: Types.Bytes | null;
}
export interface Http_Request {
    headers?: Map<Types.String, Types.String> | null;
    urlParams?: Map<Types.String, Types.String> | null;
    responseType: Types.Http_ResponseType;
    body?: Types.String | null;
    formData?: Array<Types.Http_FormDataEntry> | null;
    timeout?: Types.UInt32 | null;
}
export interface Http_FormDataEntry {
    name: Types.String;
    value?: Types.String | null;
    fileName?: Types.String | null;
    type?: Types.String | null;
}
export interface Http_Response {
    status: Types.Int;
    statusText: Types.String;
    headers?: Map<Types.String, Types.String> | null;
    body?: Types.String | null;
}
export declare enum Http_ResponseTypeEnum {
    TEXT = 0,
    BINARY = 1
}
export type Http_ResponseTypeString = "TEXT" | "BINARY";
export type Http_ResponseType = Http_ResponseTypeEnum | Http_ResponseTypeString;
export interface UriResolver_Module_Args_tryResolveUri {
    authority: Types.String;
    path: Types.String;
}
export interface UriResolver_Module_Args_getFile {
    path: Types.String;
}
export declare const UriResolver_Module: {
    tryResolveUri: (args: UriResolver_Module_Args_tryResolveUri, client: CoreClient) => Promise<InvokeResult<Types.UriResolver_MaybeUriOrManifest | null>>;
    getFile: (args: UriResolver_Module_Args_getFile, client: CoreClient) => Promise<InvokeResult<Types.Bytes | null>>;
};
export interface Http_Module_Args_get {
    url: Types.String;
    request?: Types.Http_Request | null;
}
export interface Http_Module_Args_post {
    url: Types.String;
    request?: Types.Http_Request | null;
}
export declare const Http_Module: {
    get: (args: Http_Module_Args_get, client: CoreClient) => Promise<InvokeResult<Types.Http_Response | null>>;
    post: (args: Http_Module_Args_post, client: CoreClient) => Promise<InvokeResult<Types.Http_Response | null>>;
};
